# Generated from gauntlet-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gauntlet

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: Gauntlet is a pluggable means of running code against all the latest gems and storing off the data
License: MIT
URL: https://github.com/seattlerb/gauntlet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.4
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(hoe) >= 3.12
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Gauntlet is a pluggable means of running code against all the latest
gems and storing off the data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/gauntlet
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 2.1.0-1
- Initial package
